# IRiPackage Interface Reference

Inherits IDispatch, and IDispatch.

List of all members.

## Public Member Functions
HRESULT | Install ([in] BSTR bszFileName)
HRESULT | Uninstall ([in] BSTR bszPackageName)
HRESULT | Load ([in] BSTR bszPackageName)
HRESULT | Unload ([in] BSTR bszPackageName)
HRESULT | Import ([in] BSTR bszConfigFile)
HRESULT | Install ([in] BSTR bszFileName)
HRESULT | Uninstall ([in] BSTR bszPackageName)
HRESULT | Load ([in] BSTR bszPackageName)
HRESULT | Unload ([in] BSTR bszPackageName)
HRESULT | Import ([in] BSTR bszConfigFile)

## Detailed Description

The IRiPackage interface provides methods for package management.
Root-level name in the scripting engine's name space: RsPackage

## Member Function Documentation

HRESULT IRiPackage::Install | ( | [in] BSTR | bszFileName | ) |

Install new package.

Parameters:

  | bszFileName | [in] File name of new package.

        var item = "Vray_ts.rsx";
        RsPackage.Install(item);

HRESULT IRiPackage::Uninstall | ( | [in] BSTR | bszPackageName | ) |

Uninstall package.

- Package Manager will show the package as "uninstalled" until restart of trueSpace.
- Once trueSpace restarts, the package will not be seen in the Package Manager until installed again.

Parameters:

  | bszPackageName | [in] Name of the package.

        var package = "Vray Package";
        RsPackage.Uninstall(package);

HRESULT IRiPackage::Load | ( | [in] BSTR | bszPackageName | ) |

Load installed package.

Parameters:

  | bszPackageName | [in] Name of the package.

        var package = "Vray Package";
        RsPackage.Load(package);

HRESULT IRiPackage::Unload | ( | [in] BSTR | bszPackageName | ) |

Unload installed package.

Parameters:

  | bszPackageName | [in] Name of the package.

        var package = "Vray Package";
        RsPackage.Unload(package);

HRESULT IRiPackage::Import | ( | [in] BSTR | bszConfigFile | ) |

Import plugins from xml file.

- Plugins.xml is the name of default configuration file. It carries the status and configuration for current plugins.
- You could create different variations of the Plugins.xml file. Some plugs installed and loaded, others installed and not loaded to save resources.

Parameters:

  | bszConfigFile | [in] Configuration file.

        var xmlFile = "Plugins1.xml";
        RsPackage.Import(xmlFile);

HRESULT IRiPackage::Install | ( | [in] BSTR | bszFileName | ) |

Install new package.

Parameters:

  | bszFileName | [in] File name of new package.

        var item = "Vray_ts.rsx";
        RsPackage.Install(item);

HRESULT IRiPackage::Uninstall | ( | [in] BSTR | bszPackageName | ) |

Uninstall package.

- Package Manager will show the package as "uninstalled" until restart of trueSpace.
- Once trueSpace restarts, the package will not be seen in the Package Manager until installed again.

Parameters:

  | bszPackageName | [in] Name of the package.

        var package = "Vray Package";
        RsPackage.Uninstall(package);

HRESULT IRiPackage::Load | ( | [in] BSTR | bszPackageName | ) |

Load installed package.

Parameters:

  | bszPackageName | [in] Name of the package.

        var package = "Vray Package";
        RsPackage.Load(package);

HRESULT IRiPackage::Unload | ( | [in] BSTR | bszPackageName | ) |

Unload installed package.

Parameters:

  | bszPackageName | [in] Name of the package.

        var package = "Vray Package";
        RsPackage.Unload(package);

HRESULT IRiPackage::Import | ( | [in] BSTR | bszConfigFile | ) |

Import plugins from xml file.

- Plugins.xml is the name of default configuration file. It carries the status and configuration for current plugins.
- You could create different variations of the Plugins.xml file. Some plugs installed and loaded, others installed and not loaded to save resources.

Parameters:

  | bszConfigFile | [in] Configuration file.

        var xmlFile = "Plugins1.xml";
        RsPackage.Import(xmlFile);